/* 2011 - 2012 adrian_007
 * plik z definicja struktury dzieki ktorej mozemy przekazac wtyczce informacje o
 * pliku ktory chcemy wyslac na serwer imgur.com (sciezka musi byc pelna)
 * przyjmuje jpg/jpeg, png, gif
*/

#ifndef WTW_REMOTE_IMAGES_EXTERNAL_H
#define WTW_REMOTE_IMAGES_EXTERNAL_H

#ifdef _WIN32

typedef struct
{
	const wchar_t*	filePath;		// sciezka do pliku ktory chcemy wyslac

	const wchar_t*	contactId;		// id kontaktu do ktorego chcemy wyslac link do danego pliku
	const wchar_t*	netClass;		// siec
	int				netId;			// identyfikator sieci
}wtwRemoteImagesFileV1;

typedef wtwRemoteImagesFileV1 wtwRemoteImagesFile;

#define WTW_REMOTE_IMAGES_SEND_IMAGE L"wtwRemoteImages/sendImage"

typedef struct
{
	int				structSize;

	wchar_t*		serviceName;	// nazwa bierzacego dostawcy uslugi przechowujacej obazki
	int				serviceNameLen;

	wchar_t*		icon16_id;
	int				icon16_len;

	wchar_t*		icon24_id;
	int				icon24_len;

	wchar_t*		icon32_id;
	int				icon32_len;

	wchar_t*		icon48_id;
	int				icon48_len;
} wtwRemoteImagesInfo;

#define WTW_REMOTE_IMAGES_QUERY_INFO L"wtwRemoteImages/queryInfo"

#else

#error Unsupported platform/missing WindowsSDK

#endif // _WIN32

#endif // WTW_REMOTE_IMAGES_EXTERNAL_H
